Get Snapshot - Get Snapshot
Gets a single key-value snapshot.
GET {endpoint}/snapshots/{name}?api-version=2026-04-01
GET {endpoint}/snapshots/{name}?api-version=2026-04-01&$Select={$Select}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string (uri) |
|
|
name
|
path | True |
string |
The name of the snapshot. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
$Select
|
query |
Used to select what fields are present in the returned resource(s). |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Sync-Token |
string |
Used to guarantee real-time consistency between requests. |
|
| If-Match |
string |
Used to perform an operation only if the targeted resource's etag matches the value provided. |
|
| If-None-Match |
string |
Used to perform an operation only if the targeted resource's etag does not match the value provided. |
|
| x-ms-client-request-id |
string (uuid) |
An opaque, globally-unique, client-generated string identifier for the request. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. Media Types: "application/vnd.microsoft.appconfig.snapshot+json", "application/problem+json", "application/json" Headers
|
|
| Other Status Codes |
An unexpected error response. Media Types: "application/vnd.microsoft.appconfig.snapshot+json", "application/problem+json", "application/json" |
Security
Connection String
Type:
apiKey
In:
header
OAuth2Auth
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| https://azconfig.io/.default |
Examples
| Gets a single key-value snapshot failed. |
| Gets a single key-value snapshot using If-Match header. |
| Gets a single key-value snapshot using If-None-Match header. |
| Gets a single key-value snapshot. |
Gets a single key-value snapshot failed.
Sample request
GET https://{exampleAppConfigurationName}.azconfig.io/snapshots/Prod-2022-08-01?api-version=2026-04-01
Sample response
Content-Type: application/vnd.microsoft.appconfig.snapshot+json
ETag: W/"4f6dd610dd5e4deebc7fbaef685fb903"
Last-Modified: Tue, 01 Aug 2022 16:52:32 GMT
Sync-Token: zAJw6V16=NjotMSM3ODk3NjM=;sn=789763
Link: ; rel="items"
{
"etag": "4f6dd610dd5e4deebc7fbaef685fb903",
"name": "Prod-2022-08-01",
"status": "failed",
"filters": [
{
"key": "app1/*",
"label": "Production"
}
],
"composition_type": "all",
"created": "2022-08-01T22:19:40+00:00",
"size": 0,
"items_count": 0,
"retention_period": 2592000,
"tags": {
"release": "{link/id}"
},
"description": "This is a sample description."
}
Gets a single key-value snapshot using If-Match header.
Sample request
GET https://{exampleAppConfigurationName}.azconfig.io/snapshots/Prod-2022-08-01?api-version=2026-04-01
Sample response
Content-Type: application/vnd.microsoft.appconfig.snapshot+json
ETag: W/"4f6dd610dd5e4deebc7fbaef685fb903"
Last-Modified: Tue, 01 Aug 2022 16:52:32 GMT
Sync-Token: zAJw6V16=NjotMSM3ODk3NjM=;sn=789763
Link: ; rel="items"
{
"etag": "4f6dd610dd5e4deebc7fbaef685fb903",
"name": "Prod-2022-08-01",
"status": "ready",
"filters": [
{
"key": "app1/*",
"label": "Production"
}
],
"composition_type": "all",
"created": "2022-08-01T22:19:40+00:00",
"size": 100000,
"items_count": 71,
"retention_period": 2592000,
"tags": {
"release": "{link/id}"
},
"description": "This is a sample description."
}
Gets a single key-value snapshot using If-None-Match header.
Sample request
GET https://{exampleAppConfigurationName}.azconfig.io/snapshots/Prod-2022-08-01?api-version=2026-04-01
Sample response
Content-Type: application/vnd.microsoft.appconfig.snapshot+json
ETag: W/"4f6dd610dd5e4deebc7fbaef685fb903"
Last-Modified: Tue, 01 Aug 2022 16:52:32 GMT
Sync-Token: zAJw6V16=NjotMSM3ODk3NjM=;sn=789763
Link: ; rel="items"
{
"etag": "4f6dd610dd5e4deebc7fbaef685fb903",
"name": "Prod-2022-08-01",
"status": "ready",
"filters": [
{
"key": "app1/*",
"label": "Production"
}
],
"composition_type": "all",
"created": "2022-08-01T22:19:40+00:00",
"size": 100000,
"items_count": 71,
"retention_period": 2592000,
"tags": {
"release": "{link/id}"
},
"description": "This is a sample description."
}
Gets a single key-value snapshot.
Sample request
GET https://{exampleAppConfigurationName}.azconfig.io/snapshots/Prod-2022-08-01?api-version=2026-04-01
Sample response
Content-Type: application/vnd.microsoft.appconfig.snapshot+json
ETag: W/"4f6dd610dd5e4deebc7fbaef685fb903"
Last-Modified: Tue, 01 Aug 2022 16:52:32 GMT
Sync-Token: zAJw6V16=NjotMSM3ODk3NjM=;sn=789763
Link: ; rel="items"
{
"etag": "4f6dd610dd5e4deebc7fbaef685fb903",
"name": "Prod-2022-08-01",
"status": "ready",
"filters": [
{
"key": "app1/*",
"label": "Production"
}
],
"composition_type": "all",
"created": "2022-08-01T22:19:40+00:00",
"size": 100000,
"items_count": 71,
"retention_period": 2592000,
"tags": {
"release": "{link/id}"
},
"description": "This is a sample description."
}
Definitions
| Name | Description |
|---|---|
|
Composition |
Composition types. |
| Error |
Azure App Configuration error object. |
|
Key |
Enables filtering of key-values. Syntax reference: https://aka.ms/azconfig/docs/restapisnapshots |
| Snapshot |
A snapshot is a named, immutable subset of an App Configuration store's key-values. |
|
Snapshot |
Snapshot fields. |
|
Snapshot |
Snapshot status. |
CompositionType
Composition types.
| Value | Description |
|---|---|
| key |
The 'key' composition type. |
| key_label |
The 'key_label' composition type. |
Error
Azure App Configuration error object.
| Name | Type | Description |
|---|---|---|
| detail |
string |
A detailed description of the error. |
| name |
string |
The name of the parameter that resulted in the error. |
| status |
integer (int32) |
The HTTP status code that the error maps to. |
| title |
string |
A brief summary of the error. |
| type |
string |
The type of the error. |
KeyValueFilter
Enables filtering of key-values. Syntax reference: https://aka.ms/azconfig/docs/restapisnapshots
| Name | Type | Description |
|---|---|---|
| key |
string |
Filters key-values by their key field. |
| label |
string |
Filters key-values by their label field. |
| tags |
string[] |
Filters key-values by their tags field. |
Snapshot
A snapshot is a named, immutable subset of an App Configuration store's key-values.
| Name | Type | Description |
|---|---|---|
| composition_type |
The composition type describes how the key-values within the snapshot are composed. The 'key' composition type ensures there are no two key-values containing the same key. The 'key_label' composition type ensures there are no two key-values containing the same key and label. |
|
| created |
string (date-time) |
The time that the snapshot was created. |
| description |
string |
The description of the snapshot. |
| etag |
string |
A value representing the current state of the snapshot. |
| expires |
string (date-time) |
The time that the snapshot will expire. |
| filters |
A list of filters used to filter the key-values included in the snapshot. |
|
| items_count |
integer (int64) |
The amount of key-values in the snapshot. |
| name |
string |
The name of the snapshot. |
| retention_period |
integer (int64) minimum: 3600maximum: 7776000 |
The amount of time, in seconds, that a snapshot will remain in the archived state before expiring. This property is only writable during the creation of a snapshot. If not specified, the default lifetime of key-value revisions will be used. |
| size |
integer (int64) |
The size in bytes of the snapshot. |
| status |
The current status of the snapshot. |
|
| tags |
object |
The tags of the snapshot. |
SnapshotFields
Snapshot fields.
| Value | Description |
|---|---|
| name |
Name field. |
| status |
Status field. |
| filters |
Filters field. |
| composition_type |
Composition type field. |
| created |
Created field. |
| expires |
Expires field. |
| retention_period |
Retention period field. |
| size |
Size field. |
| items_count |
Items count field. |
| tags |
Tags field. |
| description |
Description field. |
| etag |
Etag field. |
SnapshotStatus
Snapshot status.
| Value | Description |
|---|---|
| provisioning |
Provisioning |
| ready |
Ready |
| archived |
Archived |
| failed |
Failed |